#!/bin/bash

cd "$(dirname "$0")"

#   these are so that later it can be edited through the web on gitea and automagically recompile without having to run anything on the webserver manually.
#git fetch --all
#git reset --hard origin/master

pdflatex -file-line-error -interaction nonstopmode -draftmode -shell-escape -jobname=Recipes main.tex
echo 
echo -_-_-_-_-_-_-_-_-  Final run  -_-_-_-_-_-_-_-_-
echo 
pdflatex -file-line-error -interaction nonstopmode -shell-escape -jobname=Recipes main.tex
echo 
echo -_-_-_-_-_-_-_-_-  Booklet  -_-_-_-_-_-_-_-_-
echo 
#  https://github.com/jenom/pdfbook2
pdfbook2 -s -o 0 -i 0 -t 0 -b 0  -p letterpaper Recipes.pdf
rm *.aux *.out *.log *.toc
mv  -v Recipes.pdf /home/david/fileshare/LaTeX/Recipes
mv  -v Recipes-book.pdf /home/david/fileshare/LaTeX/Recipes/Recipes-booklet.pdf